> ## Documentation Index
> Fetch the complete documentation index at: https://emiloju.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Append to Response

> Maximize your search with the `append_to_response` parameter

The `append_to_response` query parameter is an easy and efficient way to append extra requests to a single request.

The movie, TV show, TV season, TV episode and person detail methods all support a query parameter called `append_to_response`.
This makes it possible to make sub requests within the same namespace in a single HTTP request. Each request will get appended to the response as a new JSON object.

Here's a quick example, let's assume you want the movie details and the videos for a movie. Usually you would think you have to issue two requests:

```bash Examples  theme={null}
curl --request GET \
     --url 'https://api.themoviedb.org/3/movie/11' \
     --header 'Authorization: Bearer ACCESS_TOKEN'

curl --request GET \
     --url 'https://api.themoviedb.org/3/movie/11/videos' \
     --header 'Authorization: Bearer ACCESS_TOKEN'
```

But with `append_to_response` you can issue a single request:

```bash Example theme={null}
curl --request GET \
     --url 'https://api.themoviedb.org/3/movie/11?append_to_response=videos' \
     --header 'Authorization: Bearer ACCESS_TOKEN'
```

Even more powerful, you can issue multiple requests, just comma separate the values:

```bash Example theme={null}
curl --request GET \
     --url 'https://api.themoviedb.org/3/movie/11?append_to_response=videos,images' \
     --header 'Authorization: Bearer ACCESS_TOKEN'
```

<Note>
  Each method will still respond to whatever query parameters are supported by each individual request.
  This is worth pointing out specifically for images since your language parameter will filter images.
  This is where the `include_image_language` parameter can be useful as outlined in the image language [page](/documentation/image_language).
</Note>
